Package com.avaya.clientservices.messaging

## Class MessagingError

- java.lang.Object
- - com.avaya.clientservices.messaging.MessagingError

-     public class MessagingError
      extends java.lang.Object

  Represents error for messaging

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MessagingError.ErrorCode` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessagingError()` |
    `MessagingError​(MessagingError.ErrorCode failureCode)` |
    `MessagingError​(MessagingError.ErrorCode ErrorCode, int protocolResponseCode, java.lang.String providerErrorMessage)` |
    `MessagingError​(MessagingError.ErrorCode failureCode, java.lang.String protocolErrorReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MessagingError.ErrorCode` | `getError()` |
    `int` | `getProtocolResponseCode()` |
    `java.lang.String` | `getProviderErrorMessage()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagingError

          public MessagingError()

    - #### MessagingError

          public MessagingError​(MessagingError.ErrorCode failureCode)

    - #### MessagingError

          public MessagingError​(MessagingError.ErrorCode failureCode,
                                java.lang.String protocolErrorReason)

    - #### MessagingError

          public MessagingError​(MessagingError.ErrorCode ErrorCode,
                                int protocolResponseCode,
                                java.lang.String providerErrorMessage)

  - ### Method Detail

    - #### getError

          public MessagingError.ErrorCode getError()

      Returns:
        `MessagingError.ErrorCode`

    - #### getProtocolResponseCode

          public int getProtocolResponseCode()

      Returns:
        the error code from the underlying protocol

    - #### getProviderErrorMessage

          public java.lang.String getProviderErrorMessage()

      Returns:
        error reason string from the underlying provider